package com.ruoyi.web.work.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.work.domain.MoneyOut;
import com.ruoyi.web.work.domain.dto.MoneyOutDto;

import java.rmi.ServerException;
import java.util.List;

/**
 * @author lsw
 * @date 2024-04-18
 */
public interface IMoneyOutService extends IService<MoneyOut>{
    List<MoneyOut> selectList(MoneyOut moneyOut);

    AjaxResult add(MoneyOut moneyOut) throws ServerException;

    AjaxResult edit(MoneyOutDto dto) throws ServerException;
}
